# The Docker image that will be used to build your app
image: node:lts

before_script:
  # Functions that should be executed before the build script is run
  - npm install

pages:
  script:
    # Specify the steps involved to build your app here
    - npm run build
  artifacts:
    paths:
      # The folder that contains the built files to be published. This
      # must be called "public".
      - public

  only:
    # Trigger a new build and deploy only when there is a push to the
    # below branch(es)
    - main
    
